## logrotate 3.2

=== Makefile ===
VERSION = $(shell awk '/Version:/ { print $$2 }' logrotate.spec)
CVSTAG = r$(subst .,-,$(VERSION))
CFLAGS = -Wall -D_GNU_SOURCE -DVERSION=\"$(VERSION)\" $(RPM_OPT_FLAGS)
PROG = logrotate
BINDIR = /usr/sbin
MANDIR = /usr/man
MAN = logrotate.8
LOADLIBES = -lpopt

#--------------------------------------------------------------------------

OBJS = logrotate.o log.o config.o basenames.o
SOURCES = $(subst .o,.c,$(OBJS) $(LIBOBJS))

ifeq ($(RPM_OPT_FLAGS),)
CFLAGS += -g
LDFLAGS = -g
endif

ifeq (.depend,$(wildcard .depend))
TARGET=$(PROG)
else
TARGET=depend $(PROG)
endif

RCSVERSION = $(subst .,-,$(VERSION))

all: $(TARGET)

$(PROG): $(OBJS)

clean:
	rm -f $(OBJS) $(PROG) core*

depend:
	$(CPP) $(CFLAGS) -M $(SOURCES) > .depend

install:
	[ -d $(PREFIX)/$(BINDIR) ] || mkdir -p $(PREFIX)/$(BINDIR)
	[ -d $(PREFIX)/$(MANDIR) ] || mkdir -p $(PREFIX)/$(MANDIR)
	[ -d $(PREFIX)/$(MANDIR)/man8 ] || mkdir -p $(PREFIX)/$(MANDIR)/man8

	install -s -m 755 $(PROG) $(PREFIX)/$(BINDIR)
	install -m 644 $(MAN) $(PREFIX)/$(MANDIR)/man`echo $(MAN) | sed "s/.*\.//"`/$(MAN)

co:
	co RCS/*,v
	(cd examples; co RCS/*,v)

cvstag:
	cvs tag -F $(CVSTAG) .

archive: cvstag
	@rm -rf /tmp/$(PROG)-$(VERSION)
	@mkdir /tmp/$(PROG)-$(VERSION)
	@rm -rf /tmp/$(PROG)-$(VERSION)
	@mkdir /tmp/$(PROG)-$(VERSION)
	@tar cSpf - * | (cd /tmp/$(PROG)-$(VERSION); tar xSpf -)
	@cd /tmp/$(PROG)-$(VERSION); \
	    make clean; \
	    find . -name "RCS" -exec rm {} \;  ; \
	    find . -name ".depend" -exec rm {} \;  ; \
	    rm -rf *gz test* *.tar foo* shared \;
	@cd /tmp; tar czSpf $(PROG)-$(VERSION).tar.gz $(PROG)-$(VERSION)
	@rm -rf /tmp/$(PROG)-$(VERSION)
	@cp /tmp/$(PROG)-$(VERSION).tar.gz .
	@rm -f /tmp/$(PROG)-$(VERSION).tar.gz
	@echo " "
	@echo "The final archive is ./$(PROG)-$(VERSION).tar.gz."

ifeq (.depend,$(wildcard .depend))
include .depend
endif

## logrotate 3.5.9

=== Makefile ===
VERSION = $(shell awk '/Version:/ { print $$2 }' logrotate.spec)
CVSTAG = r$(subst .,-,$(VERSION))
LFS = $(shell echo `getconf LFS_CFLAGS`)
CFLAGS = -Wall -D_GNU_SOURCE -DVERSION=\"$(VERSION)\" $(RPM_OPT_FLAGS) $(LFS)
PROG = logrotate
BINDIR = /usr/sbin
MANDIR = /usr/man
MAN = logrotate.8
LOADLIBES = -lpopt

#--------------------------------------------------------------------------

OBJS = logrotate.o log.o config.o basenames.o
SOURCES = $(subst .o,.c,$(OBJS) $(LIBOBJS))

ifeq ($(RPM_OPT_FLAGS),)
CFLAGS += -g
LDFLAGS = -g
endif

ifeq (.depend,$(wildcard .depend))
TARGET=$(PROG)
else
TARGET=depend $(PROG)
endif

RCSVERSION = $(subst .,-,$(VERSION))

all: $(TARGET)

$(PROG): $(OBJS)

clean:
	rm -f $(OBJS) $(PROG) core*

depend:
	$(CPP) $(CFLAGS) -M $(SOURCES) > .depend

.PHONY : test
test:
	(cd test; ./test)

install:
	[ -d $(PREFIX)/$(BINDIR) ] || mkdir -p $(PREFIX)/$(BINDIR)
	[ -d $(PREFIX)/$(MANDIR) ] || mkdir -p $(PREFIX)/$(MANDIR)
	[ -d $(PREFIX)/$(MANDIR)/man8 ] || mkdir -p $(PREFIX)/$(MANDIR)/man8

	install -s -m 755 $(PROG) $(PREFIX)/$(BINDIR)
	install -m 644 $(MAN) $(PREFIX)/$(MANDIR)/man`echo $(MAN) | sed "s/.*\.//"`/$(MAN)

co:
	co RCS/*,v
	(cd examples; co RCS/*,v)

cvstag:
	cvs tag -F $(CVSTAG) .

archive: cvstag
	@rm -rf /tmp/logrotate-$(VERSION) /tmp/logrotate
	@cd /tmp; cvs export -r$(CVSTAG) logrotate; mv logrotate logrotate-$(VERSION)
	@cd /tmp/logrotate-$(VERSION)
	@cd /tmp; tar czSpf logrotate-$(VERSION).tar.gz logrotate-$(VERSION)
	@rm -rf /tmp/logrotate-$(VERSION)
	@cp /tmp/logrotate-$(VERSION).tar.gz .
	@rm -f /tmp/logrotate-$(VERSION).tar.gz
	@echo " "
	@echo "The final archive is ./logrotate-$(VERSION).tar.gz."

ifeq (.depend,$(wildcard .depend))
include .depend
endif

## logrotate 3.7.8

=== debian/changelog ===
logrotate (3.7.8-6ubuntu3) natty; urgency=low

  * cron.daily: Fixing a shell redirection error

 -- Ahmed Kamal <kim0@ubuntu.com>  Sun, 13 Mar 2011 02:21:08 +0200

logrotate (3.7.8-6ubuntu2) natty; urgency=low

  * cron.daily: Added ability to clean non existent log files from 
    logrotate status file (LP: #730504)

 -- Ahmed Kamal <kim0@ubuntu.com>  Sat, 12 Mar 2011 14:58:38 +0200

logrotate (3.7.8-6ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #554823), remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don'c configure an MTA by default.

 -- Lorenzo De Liso <blackz@ubuntu.com>  Wed, 14 Jul 2010 19:34:54 +0200

logrotate (3.7.8-6) unstable; urgency=low

  * New patch:
    + ucf-taboos.patch. Add common ucf files to default taboo list. Thanks
      to Noah Massey.

 -- Paul Martin <pm@debian.org>  Sat, 17 Apr 2010 22:01:47 +0100

logrotate (3.7.8-5) unstable; urgency=low

  * New patch:
    + parser571033.patch: fix the config parser to not get confused when
      a wildcard produces no results. (Closes: 571033)
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump debhelper version to 7 (dh_clean -k -> dh_prep).
  * Update standards version to 3.8.4 (no changes).

 -- Paul Martin <pm@debian.org>  Sat, 20 Mar 2010 19:37:26 +0000

logrotate (3.7.8-4ubuntu2) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sun, 07 Mar 2010 00:56:16 +0100

logrotate (3.7.8-4ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #414347
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don'c configure an MTA by default.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 16 Aug 2009 12:40:24 +0530

logrotate (3.7.8-4) unstable; urgency=high

  * New patch:
    + security-388608.patch: A race condition in the creation of 
      compressed and copied log files makes it possible to overwrite 
      arbitrary files by generating a link or symlink during a window 
      of opportunity between logrotate renaming a log file and creating 
      the copy of the next. (Closes: #388608) Once again, many thanks to
      Florian Zumbiehl for forcing me to think.
  * Uploading to unstable.

 -- Paul Martin <pm@debian.org>  Fri, 14 Aug 2009 23:22:04 +0100

logrotate (3.7.8-3) experimental; urgency=low

  * New patch:
    + nofollow.patch: If a logfile is a symlink, it may be read when
      being compressed, being copied (copy, copytruncate) or mailed.
      Secure data (eg. password files) may be exposed. Thanks to
      Florian Zumbiehl for getting me thinking about this one.

 -- Paul Martin <pm@debian.org>  Thu, 06 Aug 2009 16:35:41 +0100

logrotate (3.7.8-2) experimental; urgency=low

  * New patch:
    + create-388608.patch: Really squash the race condition for the 
      creation of compressed log files and the creation of new ones.
      (Closes: 388608)

 -- Paul Martin <pm@debian.org>  Tue, 04 Aug 2009 21:16:03 +0100

logrotate (3.7.8-1) experimental; urgency=low

  * New upstream release:
    - do not exit on status file errors
    - limit config file inclusion nesting
    - use hashes for status file handling (patch by Petr Tesarik 
      <ptesarik@suse.cz> and Leonardo Chiquitto)
    - dateformat to allow unixtime (patch by Sami Kerola <kerolasa@iki.fi>)
  * Upstream has taken some of our patches:
    - manpage.patch: partial uptake, updated
    - man-189243.patch: fully applied upstream
    - man-sizetypo.patch: fully applied upstream
    - man-overriden.patch: fully applied upstream
  * Added a watch file (but upstream has a redirect to https).
  * Upstream has also fixed createOutputFile to be more secure
    (Closes: #388608)
  * New Debian patch:
    + sharedscripts-519432.patch: Prerotate and postrotate scripts get the 
      list of rotated files passed to them as arguments. (Closes: #519432)
    + chown-484762.patch: If running as non-root, warn but don't abort if
      we can't chown the compressed log file. (Closes: #484762)
  * Update Standards-Version to 3.8.2. (No changes)

 -- Paul Martin <pm@debian.org>  Tue, 04 Aug 2009 15:18:18 +0100

logrotate (3.7.7-5ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #410660
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don'c configure an MTA by default.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sat, 08 Aug 2009 17:00:10 +0530

logrotate (3.7.7-5) unstable; urgency=high

  * Backport patch from 3.7.8-3 (in experimental):
    + nofollow.patch: If a logfile is a symlink, it may be read when 
      being compressed, being copied (copy, copytruncate) or mailed. 
      Secure data (eg. password files) may be exposed. Thanks to
      Florian Zumbiehl for getting me thinking about this one.

 -- Paul Martin <pm@debian.org>  Thu, 06 Aug 2009 16:41:26 +0100

logrotate (3.7.7-4) unstable; urgency=low

  * Update location of upstream in debian/copyright.

 -- Paul Martin <pm@debian.org>  Thu, 19 Feb 2009 11:54:07 +0000

logrotate (3.7.7-3) unstable; urgency=low

  * Fix sharedcycles. (Closes: #512152)

 -- Paul Martin <pm@debian.org>  Sun, 18 Jan 2009 00:48:49 +0000

logrotate (3.7.7-3ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don'c configure an MTA by default.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 18 Jan 2009 05:51:34 +0000

logrotate (3.7.7-2ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: LP: #313461
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used on
      request, and we don't configure an MTA by default.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sat, 03 Jan 2009 19:08:07 +0530



=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

export DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS \
	2>/dev/null || true)

export DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture \
	-qDEB_HOST_GNU_SYSTEM 2>/dev/null || true)

ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(DEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif

configure: configure-stamp
configure-stamp: patch
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp: patch
	dh_testdir

ifeq ($(DEB_HOST_ARCH_OS),linux)
	$(MAKE) RPM_OPT_FLAGS="$(CFLAGS)" WITH_SELINUX="yes"
else
	$(MAKE) RPM_OPT_FLAGS="$(CFLAGS)"
endif

	touch build-stamp

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) clean
	rm -f .depend

	dh_clean logrotate.selinux

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/logrotate.
	$(INSTALL_PROGRAM) $(CURDIR)/logrotate \
	  $(CURDIR)/debian/logrotate/usr/sbin/
	#$(INSTALL_PROGRAM) $(CURDIR)/logrotate.selinux \
	#  $(CURDIR)/debian/logrotate-selinux/usr/sbin/logrotate

	$(INSTALL_FILE) $(CURDIR)/debian/logrotate.conf \
	  $(CURDIR)/debian/logrotate/etc/logrotate.conf
	#$(INSTALL_FILE) $(CURDIR)/debian/logrotate.conf \
	#  $(CURDIR)/debian/logrotate-selinux/etc/logrotate.conf

	# reportbug script
	$(INSTALL_SCRIPT) $(CURDIR)/debian/logrotate.bug \
	  $(CURDIR)/debian/logrotate/usr/share/bug/logrotate/script
	#$(INSTALL_SCRIPT) $(CURDIR)/debian/logrotate.bug \
	#  $(CURDIR)/debian/logrotate-selinux/usr/share/bug/logrotate/script



# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman logrotate.8
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

#patch: patch-stamp
#patch-stamp:
#	dpatch apply-all
#	touch patch-stamp
#	# dpatch call-all -a=pkg-info >patch-stamp
#
#unpatch:
#	dpatch deapply-all
#	rm -rf patch-stamp debian/patched

.PHONY: build clean binary-indep binary-arch binary install configure \
 patch unpatch clean-patched

## logrotate 3.8.1

=== debian/changelog ===
logrotate (3.8.1-4) unstable; urgency=low

  * Switch to dh type debian/rules.
  * Patch:
    + test-cleanup.patch: Clean up after regression tests.

 -- Paul Martin <pm@debian.org>  Thu, 17 May 2012 13:58:57 +0100

logrotate (3.8.1-3) unstable; urgency=low

  * Enabled hardened build flags.
  * Patch:
    + asprintf-fixes.patch: Fix asprintf() warnings and allow build with
      hardened build flags.
  * Update standards version to 3.9.3.

 -- Paul Martin <pm@debian.org>  Thu, 17 May 2012 00:36:48 +0100

logrotate (3.8.1-2) unstable; urgency=low

  * Removed dependancy on fcron as it is no longer in the repository.

 -- Paul Martin <pm@debian.org>  Wed, 21 Dec 2011 11:02:53 +0000

logrotate (3.8.1-1) unstable; urgency=low

  * New upstream release
    + Changes in 3.8.0 fix build problems on non-POSIX architectures 
      (Closes: #632501)
    + New config options: dateyesterday, maxsize, su. (See manpage.)
      (maxsize Closes: #635184)
  * New patch:
    + man-compressext-576362.patch. Correct manpage about compressext,
      compressoptions behaviour. (Closes: #576362)
  * debian/logrotate.README.Debian: update now that rsyslog is default
    for new installs. (Closes: #649598)
  * Incidentally, rsyslog is now default syslog, and that doesn't use 
    savelog but makes use of logrotate. (Closes: #379843)
  * Install logrotate.conf.5 (a redirect to logrotate.8) (Closes: #182261)
  * debian/control: depend on cron-daemon as an alternative to cron.
    (Closes: #334137)
  * lintian warning fix: move debian/logrotate.copyright to debian/copyright
  * debian/control: add Breaks: postgresql-common (<= 126) as its config 
    file requires an "su". Postgres maintainer is aware and awaits this
    upload.
  * Upload to unstable. (Closes: #648025)

 -- Paul Martin <pm@debian.org>  Mon, 05 Dec 2011 17:58:16 +0000

logrotate (3.8.0-1) experimental; urgency=low

  * New upstream release (Closes: #633529)
    + Fixes for CVE-2011-1098, CVE-2011-1154, and CVE-2011-1155
      (Closes: #639302)
    + dateformat sorting noted in manpage (Closes: #580054)
  * Changed debian/control to use [linux-any] in Build-Depends.
    (Closes: #634704)
  * Removed patches:
    + create-388608.patch: Upstream has fixed this.
    + nofollow.patch: Upstream has fixed this.
    + security-388608.patch: Upstream has fixed this.
    + FTBFS-hurd-613342.patch: Adopted upstream. (Closes: #613342)

 -- Paul Martin <pm@debian.org>  Sun, 28 Aug 2011 19:11:09 +0100

logrotate (3.7.9-1) experimental; urgency=low

  * New upstream release
  * New patch:
    + FTBFS-hurd-613342.patch. Half of a fix to #613342. Unfortunately
      the rest of the supplied patch leaks memory badly.
  * Removed patches:
    - deb-taboos.patch (applied upstream)
    - ucf-taboos.patch (applied upstream)
    - compressutime.patch (applied upstream)
    - rh-toolarge.patch (upstream does things a different way)
    - rh-curdir2.patch (applied upstream) 
    - parser571033.patch (applied upstream) 
  * Added build-arch/build-indep targets to debian/rules.
  * Update standards version to 3.9.2 (no changes).
 -- Paul Martin <pm@debian.org>  Wed, 22 Jun 2011 15:51:46 +0100

=== debian/control ===
Source: logrotate
Section: admin
Priority: important
Maintainer: Paul Martin <pm@debian.org>
Build-Depends: libpopt-dev, debhelper (>= 9), quilt, libselinux1-dev [linux-any]
Standards-Version: 3.9.3

Package: logrotate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cron | anacron | cron-daemon, base-passwd (>= 2.0.3.4)
Breaks: postgresql-common (<= 126)
Recommends: mailx
Description: Log rotation utility
 The logrotate utility is designed to simplify the administration of
 log files on a system which generates a lot of log files.  Logrotate
 allows for the automatic rotation compression, removal and mailing of
 log files.  Logrotate can be set to handle a log file daily, weekly,
 monthly or when the log file gets to a certain size.  Normally, logrotate
 runs as a daily cron job.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS \
        2>/dev/null || true)

export DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture \
        -qDEB_HOST_GNU_SYSTEM 2>/dev/null || true)

ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(DEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif

%:
	dh $@

override_dh_auto_build:
ifeq ($(DEB_HOST_ARCH_OS),linux)
	$(MAKE) RPM_OPT_FLAGS="$(CFLAGS)" WITH_SELINUX="yes"
else
	$(MAKE) RPM_OPT_FLAGS="$(CFLAGS)"
endif

override_dh_auto_install:

## logrotate 3.8.7

=== Makefile ===
VERSION = $(shell awk '/Version:/ { print $$2 }' logrotate.spec)
OS_NAME = $(shell uname -s)
LFS = $(shell echo `getconf LFS_CFLAGS 2>/dev/null`)
CFLAGS = -Wall -D_GNU_SOURCE -D$(OS_NAME) -DVERSION=\"$(VERSION)\" $(RPM_OPT_FLAGS) $(LFS)
PROG = logrotate
MAN = logrotate.8
MAN5 = logrotate.conf.5
LOADLIBES = -lpopt
SVNURL= svn+ssh://svn.fedorahosted.org/svn/logrotate
SVNPUBURL = http://svn.fedorahosted.org/svn/logrotate
SVNTAG = r$(subst .,-,$(VERSION))

ifeq ($(WITH_SELINUX),yes)
CFLAGS += -DWITH_SELINUX
LOADLIBES += -lselinux
# See pretest
TEST_SELINUX=1
else
# See pretest
TEST_SELINUX=0
endif

ifeq ($(WITH_ACL),yes)
CFLAGS += -DWITH_ACL
LOADLIBES += -lacl
# See pretest
TEST_ACL=1
else
# See pretest
TEST_ACL=0
endif

# HP-UX using GCC
ifeq ($(OS_NAME),HP-UX)
    ifeq ($(RPM_OPT_FLAGS),)
        RPM_OPT_FLAGS = -O2
    endif
    CC = gcc
    INSTALL = cpset
    ifeq ($(POPT_DIR),)
        POPT_DIR = /usr/local
    endif
    ifeq ($(HPLX_DIR),)
	HPLX_DIR = /usr/local/hplx
    endif
    LOADLIBES += -lhplx -L$(HPLX_DIR)/lib
    ifeq ($(BASEDIR),)
	BASEDIR = /usr/local
    endif
endif

# Solaris using gcc
ifeq ($(OS_NAME),SunOS)
    CFLAGS = -D_GNU_SOURCE -D$(OS_NAME) -DVERSION=\"$(VERSION)\" $(RPM_OPT_FLAGS) $(LFS)
    CC ?= gcc
    CPP = $(CC) -E -M
    INSTALL = /usr/ucb/install
    ifeq ($(CC),cc)
        CPP = cc -xM
    endif
    BASEDIR ?= /usr/local
endif

# Red Hat Linux
ifeq ($(OS_NAME),Linux)
    INSTALL = install
    BASEDIR = /usr
endif

# FreeBSD
ifeq ($(OS_NAME),FreeBSD)
    LOADLIBES += -L${LOCALBASE}/lib
    CFLAGS += -I${LOCALBASE}/include
    PREFIX=
endif

ifeq ($(OS_NAME),NetBSD)
    CFLAGS += -I/usr/include
    CFLAGS += -I$(BASEDIR)/include
    LOADLIBES += -L/usr/lib
    LOADLIBES += -L$(BASEDIR)/lib -Wl,-R,$(BASEDIR)/lib
endif

ifneq ($(POPT_DIR),)
    CFLAGS += -I$(POPT_DIR)
    LOADLIBES += -L$(POPT_DIR)
endif

ifneq ($(STATEFILE),)
    CFLAGS += -DSTATEFILE=\"$(STATEFILE)\"
endif

BINDIR = $(BASEDIR)/sbin
MANDIR ?= $(BASEDIR)/man

#--------------------------------------------------------------------------

OBJS = logrotate.o log.o config.o basenames.o
SOURCES = $(subst .o,.c,$(OBJS) $(LIBOBJS))

ifeq ($(RPM_OPT_FLAGS),)
CFLAGS += -g
LDFLAGS = -g
endif

LDFLAGS += $(EXTRA_LDFLAGS) $(EXTRA_LIBS)
CFLAGS  += $(EXTRA_CPPFLAGS) $(EXTRA_CFLAGS) 

ifeq (.depend,$(wildcard .depend))
TARGET=$(PROG)
else
TARGET=depend $(PROG)
endif

RCSVERSION = $(subst .,-,$(VERSION))

all: $(TARGET) pretest

$(PROG): $(OBJS)

clean:
	rm -f $(OBJS) $(PROG) core* .depend
	rm -f ./test/test.ACL ./test/test.SELINUX ./test/error.log

depend:
	$(CPP) $(CFLAGS) -M $(SOURCES) > .depend

# pretest create the file ./test/test.ACL with
# 0 or 1 according to the WITH_ACL=yes presence.
# The file will be used by ./test/test to decide
# if to do the ACL tests or not.
pretest:
	echo "$(TEST_ACL)" > ./test/test.ACL ;
	echo "$(TEST_SELINUX)" > ./test/test.SELINUX ;

.PHONY : test
test: $(TARGET)
	(cd test; ./test)

install:
	[ -d $(PREFIX)$(BINDIR) ] || mkdir -p $(PREFIX)$(BINDIR)
	[ -d $(PREFIX)$(MANDIR) ] || mkdir -p $(PREFIX)$(MANDIR)
	[ -d $(PREFIX)$(MANDIR)/man8 ] || mkdir -p $(PREFIX)$(MANDIR)/man8
	[ -d $(PREFIX)$(MANDIR)/man5 ] || mkdir -p $(PREFIX)$(MANDIR)/man5

	if [ "$(OS_NAME)" = HP-UX ]; then \
	$(INSTALL) $(PROG) $(PREFIX)$(BINDIR) 0755 bin bin; \
	$(INSTALL) $(MAN) $(PREFIX)$(MANDIR)/man`echo $(MAN) | sed "s/.*\.//"` 0644 bin bin; \
	$(INSTALL) $(MAN5) $(PREFIX)$(MANDIR)/man`echo $(MAN5) | sed "s/.*\.//"` 0644 bin bin; \
	else if [ "$(OS_NAME)" = FreeBSD ]; then \
	$(BSD_INSTALL_PROGRAM) $(PROG) $(BINDIR); \
	$(BSD_INSTALL_MAN) $(MAN) $(MANDIR)/man`echo $(MAN) | sed "s/.*\.//"`/$(MAN); \
	$(BSD_INSTALL_MAN) $(MAN5) $(MANDIR)/man`echo $(MAN5) | sed "s/.*\.//"`/$(MAN5); \
	else \
	$(INSTALL) -m 755 $(PROG) $(PREFIX)$(BINDIR); \
	$(INSTALL) -m 644 $(MAN) $(PREFIX)$(MANDIR)/man`echo $(MAN) | sed "s/.*\.//"`/$(MAN); \
	$(INSTALL) -m 644 $(MAN5) $(PREFIX)$(MANDIR)/man`echo $(MAN5) | sed "s/.*\.//"`/$(MAN5); \
	fi; fi

co:
	co RCS/*,v
	(cd examples; co RCS/*,v)

svntag:
	svn copy $(SVNURL)/trunk $(SVNURL)/tags/$(SVNTAG) -m "Release $(VERSION)"

create-archive:
	@rm -rf /tmp/logrotate-$(VERSION) /tmp/logrotate
	@cd /tmp; svn export $(SVNPUBURL)/tags/$(SVNTAG) logrotate-$(VERSION)
	@cd /tmp/logrotate-$(VERSION)
	@cd /tmp; tar czSpf logrotate-$(VERSION).tar.gz logrotate-$(VERSION)
	@rm -rf /tmp/logrotate-$(VERSION)
	@cp /tmp/logrotate-$(VERSION).tar.gz .
	@rm -f /tmp/logrotate-$(VERSION).tar.gz
	@echo " "
	@echo "The final archive is ./logrotate-$(VERSION).tar.gz."

archive: clean svntag create-archive

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
logrotate (3.8.7-2ubuntu2.16.04.2) xenial; urgency=medium

  * logrotate does not ever recover from a corrupted statefile (LP: #1709670)
    - d/p/do-not-treat-failure-of-readState-as-fatal.patch
    (Backported from commit b9d82003002c98370e4131a7e43c76afcd23306a)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 09 Aug 2017 16:02:21 -0400

logrotate (3.8.7-2ubuntu2.16.04.1) xenial; urgency=medium

  * createOutputFile: rename already existing file (LP: #1630516)
    - d/p/ubuntu/createOutputFile-eliminate-stat-open-TOCTOU-race.patch
    - d/p/ubuntu/createOutputFile-rename-already-existing-file.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 22 Mar 2017 11:47:34 +0100

logrotate (3.8.7-2ubuntu2) wily; urgency=medium

  * debian/patches/manpage.patch: fix state file path in FILES section
    (LP: #772214)

 -- Andrey Bondarenko <abondarenko@users.sourceforge.net>  Tue, 01 Sep 2015 11:56:43 +0500

logrotate (3.8.7-2ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don't configure an MTA by default.
    - debian/cron.daily: Clean non-existent log files from logrotate status
      file.
    - debian/logrotate.conf: use group 'syslog' by default when rotating logs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 21 May 2015 16:58:31 -0700

logrotate (3.8.7-2) unstable; urgency=low

  * New patch:
    - taboo-716649.patch: Add .dpkg-bak and .dpkg-del to taboo extensions.
      (Closes: #716649)
  * Bump standards version to 3.9.6. (No changes needed.)

 -- Paul Martin <pm@debian.org>  Tue, 05 May 2015 23:18:48 +0100

logrotate (3.8.7-1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don't configure an MTA by default.
    - debian/cron.daily: Clean non-existent log files from logrotate status
      file.
    - debian/logrotate.conf: use group 'syslog' by default when rotating logs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jan 2014 11:05:42 -0800

logrotate (3.8.7-1) unstable; urgency=low

  * New patch:
    - man-su-explanation-729315.patch: Explain how "su" may conflict with
      "create". (Closes: #729315)
  * New upstream release
    - Fix to forcing size-based rotations. (Closes: #714910)
  * Bump standards version to 3.9.5. (No changes needed.)

 -- Paul Martin <pm@debian.org>  Fri, 17 Jan 2014 09:46:01 +0000

logrotate (3.8.6-1ubuntu2) trusty; urgency=low

  * debian/logrotate.conf: use group 'syslog' by default when rotating logs,
    otherwise logrotate will refuse to rotate logs in /var/log whose owning
    group is now syslog instead of root.  LP: #1258202.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 05 Dec 2013 10:35:47 -0800

logrotate (3.8.6-1ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don't configure an MTA by default.
    - debian/cron.daily: Clean non-existent log files from logrotate status
      file.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Oct 2013 08:20:39 -0700

logrotate (3.8.6-1) unstable; urgency=low

  * New upstream release
    - logrotate crashes with sharedscripts when no logs are rotated.
    - Fix potential buffer overflow in parsing config.
  * New patch:
    - mktime-718332.patch: Fix incorrectly initialized struct tm causing
      extra rotations. (Closes: #718332)

 -- Paul Martin <pm@debian.org>  Tue, 03 Sep 2013 21:34:00 +0100

logrotate (3.8.5-1) unstable; urgency=low

  * New upstream release
    + Check for both possible orders of script output in tests.
      (Closes: #707526)
    + If logrotate state file is corrupted, fail with error.
    + Make logrotate state file creation atomic. (Closes: #707526)
    + Add fsync during log copytruncate and gzip+unlink.
    + Allow 'hourly' rotation.
    + Do not try to parse big (16+ MB) config files.
  * Debian patches merged upstream:
    - dst.patch
    - man-startcount.patch
    - man-compressext-576362.patch
    - asprintf-fixes.patch
    - makefile-test-cleanup.patch
    - manpage-hyphens.patch
    - acl-nosys-706050.patch
    - size-longlong-706460.patch
    - timetraveller-704950.patch

 -- Paul Martin <pm@debian.org>  Wed, 26 Jun 2013 22:26:23 +0100

logrotate (3.8.3-5) unstable; urgency=low

  * New patches:
    + timetraveller-704950.patch: don't complain if the local time has changed
      such that the last rotation was in the "future" if the change is less
      than 25 hours. This allows for timezone shifts for travellers.
      (Closes: #704950) Please note that logrotate should not be relied upon
      if you are using a TARDIS.
    + size-longlong-706460.patch: Parse the number in the size/minsize/maxsize
      as an unsigned long long instead of just an unsigned long. For those who
      like to write their multigigabyte values in bytes. (Closes: #706460)
  * Update standards version to 3.9.4. (No changes needed.)

 -- Paul Martin <pm@debian.org>  Tue, 30 Apr 2013 18:44:41 +0100

logrotate (3.8.3-4) experimental; urgency=low

  * Accommodate cross-building and "nocheck". (Closes: #694835)
  * Accommodate ext3 filesystem returning wrong error if ACL is disabled.
    (Closes: #706050)
  * Replace patches/acl-tests.patch with the ones from upstream SVN, as
    patches/rh391-acl-test.patch, rh394-acl-tests.patch, rh397-acl-tests.patch
  * Replace patches/configparse.patch with upstream's rh401-tabooextloop.patch
  * Imported from upstream SVN:
    + patch/rh390-version.patch: Add --version option.
    + patch/rh392-skip-errors.patch: Fixed bug which prevented skipping
      particular log file config if the config contains errors
    + patch/rh393-kilo.patch: Allow both 'k' and 'K' in size.


=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,37 @@
   endif
 endif
 
+DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+  CROSS :=
+else
+  CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
+endif
+
+
 %:
 	dh $@
 
 override_dh_auto_build:
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-	$(MAKE) RPM_OPT_FLAGS="$(CFLAGS)" WITH_SELINUX="yes"
+	$(MAKE) RPM_OPT_FLAGS="$(CFLAGS)" WITH_SELINUX="yes" WITH_ACL="yes" $(CROSS)
 else
-	$(MAKE) RPM_OPT_FLAGS="$(CFLAGS)"
+	$(MAKE) RPM_OPT_FLAGS="$(CFLAGS)" $(CROSS)
 endif
 
 override_dh_auto_install:
+
+override_dh_auto_clean:
+	$(MAKE) clean
+	cd test ; rm -f $$(ls | egrep '^test-config.[0-9]+$$')
+	cd test ; rm -f test*.log* anothertest*.log* state test-config.
+	cd test ; rm -f scriptout mail-out compress-args different*.log*
+
+# ACL tests will fail if we're not building with ACL
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+  ifeq ($(DEB_HOST_ARCH_OS),linux)
+	cd test ; ./test
+  endif
+endif

## logrotate 3.11.0

=== debian/changelog ===
logrotate (3.11.0-0.1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don't configure an MTA by default.
    - debian/cron.daily: Clean non-existent log files from logrotate status
      file.
    - debian/logrotate.conf: use group 'syslog' by default when rotating logs.
    - debian/patches/manpage.patch: fix state file path in FILES section
      (LP #772214)
      [ Refreshed ]
    - logrotate does not ever recover from a corrupted statefile (LP #1709670)
      + d/p/do-not-treat-failure-of-readState-as-fatal.patch
      [ Refreshed to be an unmodified cherry-pick ]
  * Drop:
    - createOutputFile: rename already existing file (LP: #1630516)
      + d/p/ubuntu/createOutputFile-eliminate-stat-open-TOCTOU-race.patch
      + d/p/ubuntu/createOutputFile-rename-already-existing-file.patch
      [ Fixed upstream ]

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 21 Aug 2017 16:01:27 -0700

logrotate (3.11.0-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream version 3.11.0  Closes: #734688
  * Refresh patch queue, and fix several regressions
  * Update watch file. Closes: #844578, also Homepage information
  * Specify bsd-mailx as default mailx provider. Closes: #849743

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 07 Jan 2017 19:54:50 +0100

logrotate (3.8.7-2ubuntu4) artful; urgency=medium

  * logrotate does not ever recover from a corrupted statefile (LP: #1709670)
    - d/p/do-not-treat-failure-of-readState-as-fatal.patch
    (Backported from commit b9d82003002c98370e4131a7e43c76afcd23306a)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 09 Aug 2017 11:39:36 -0700

logrotate (3.8.7-2ubuntu3) zesty; urgency=medium

  * createOutputFile: rename already existing file (LP: #1630516)
    - d/p/ubuntu/createOutputFile-eliminate-stat-open-TOCTOU-race.patch
    - d/p/ubuntu/createOutputFile-rename-already-existing-file.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 22 Mar 2017 11:47:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: logrotate
 Section: admin
 Priority: important
-Maintainer: Paul Martin <pm@debian.org>
-Build-Depends: libpopt-dev, debhelper (>= 9), quilt, libselinux1-dev [linux-any]
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Martin <pm@debian.org>
+Build-Depends: libpopt-dev, debhelper (>= 9),
+ libselinux1-dev [linux-any], libacl1-dev [linux-any], automake
+Vcs-Svn: http://svn.fedorahosted.org/svn/logrotate/
+Homepage: https://github.com/logrotate/logrotate
+Standards-Version: 3.9.6
 
 Package: logrotate
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, cron | anacron | cron-daemon, base-passwd (>= 2.0.3.4)
 Breaks: postgresql-common (<= 126)
-Recommends: mailx
+Suggests: bsd-mailx | mailx
 Description: Log rotation utility
  The logrotate utility is designed to simplify the administration of
  log files on a system which generates a lot of log files.  Logrotate

=== debian/rules ===
--- 
+++ 
@@ -34,10 +34,10 @@
 override_dh_auto_install:
 
 override_dh_auto_clean:
-	$(MAKE) clean
-	cd test ; rm -f $$(ls | egrep '^test-config.[0-9]+$$')
-	cd test ; rm -f test*.log* anothertest*.log* state test-config.
-	cd test ; rm -f scriptout mail-out compress-args different*.log*
+	-$(MAKE) clean
+	-cd test ; rm -f $$(ls | egrep '^test-config.[0-9]+$$')
+	-cd test ; rm -f test*.log* anothertest*.log* state test-config.
+	-cd test ; rm -f scriptout mail-out compress-args different*.log*
 
 # ACL tests will fail if we're not building with ACL
 override_dh_auto_test:

=== debian/watch ===
version=4
https://github.com/logrotate/logrotate/releases \
    /logrotate/logrotate/releases/download/[^/]+/logrotate-([0-9.]+)\.tar\.xz

## logrotate 3.14.0

=== debian/changelog ===
logrotate (3.14.0-4ubuntu3) disco; urgency=medium

  * Fix typo in 'adm' group name.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 21 Jan 2019 10:11:39 +0000

logrotate (3.14.0-4ubuntu2) disco; urgency=medium

  * Use group 'adm' instead of 'syslog' when rotating logs.  LP: #1644996.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 17 Jan 2019 16:28:19 +0200

logrotate (3.14.0-4ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don't configure an MTA by default.
    - debian/logrotate.conf: use group 'syslog' by default when rotating logs.
  * Dropped changes, included upstream:
    - logrotate does not ever recover from a corrupted statefile
      + d/p/do-not-treat-failure-of-readState-as-fatal.patch
  * Dropped changes, no longer needed:
    - debian/patches/manpage.patch: state file path now picked up dynamically
      at build time.
  * Dropped changes:
    - debian/cron.daily: Clean non-existent log files from logrotate status
      file.  It is not immediately clear whether logrotate now does this
      itself without help, but with the move to systemd timers this is no
      longer an effective way to handle it.  Debian bug #871592 suggests
      that this is fixed upstream.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Sep 2018 20:51:14 +0200

logrotate (3.14.0-4) unstable; urgency=medium

  * d/control:
    - add Multi-Arch: foreign (Closes: #730420)
    - bump to std version 4.2.1 (no further changes)
  * d/tests: 
    - fix and add simple test
  * d/patches: drop MemoryDenyWriteExecute from systemd service (Closes:
    #907505)

 -- Christian Göttsche <cgzones@googlemail.com>  Wed, 29 Aug 2018 00:21:11 +0200

logrotate (3.14.0-3) unstable; urgency=medium

  * d/patches: 
    - re-introduce patch fixing test failure on ppc64el
    - fix order of patches

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 21 Aug 2018 22:23:48 +0200

logrotate (3.14.0-2) unstable; urgency=medium

  * d/upstream/metadata: update
  * d/logrotate.README.Debian: drop
  * d/rules: wrap configure options
  * d/patches: drop mapage patch
  * d/control: add Rules-Requires-Root no
  * d/control: bump to std version 4.2.0 (no further changes)
  * d/gbp.conf: add minimal config

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 21 Aug 2018 16:13:34 +0200

logrotate (3.14.0-1) unstable; urgency=medium

  * New upstream version 3.14.0 (Closes: #879262)

  * debian:
    - Switch to debhelper 11
    - Support logrotation triggered by systemd timer (Closes: #858021)

    - control:
      + Set myself as maintainer (Closes: #887151)
      + Bump standards version to 4.1.4
      + Update vcs fields (Closes: #823687)
      + add minimal autotest suite
    - cron.daily: Align with upstream
    - logrotate.conf: align with upstream
    - patches:
      + Refresh patches, drop upstream applied ones
      + spelling fix
    - rules:
      + Enable hardening
      + Add dh_missing --fail-missing
      + Simplify statefile change
      + set correct path for mail command
    - watch: check signature

 -- Christian Göttsche <cgzones@googlemail.com>  Fri, 29 Jun 2018 11:26:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,19 @@
 Section: admin
 Priority: important
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paul Martin <pm@debian.org>
-Build-Depends: libpopt-dev, debhelper (>= 9),
- libselinux1-dev [linux-any], libacl1-dev [linux-any], automake
-Vcs-Svn: http://svn.fedorahosted.org/svn/logrotate/
+XSBC-Original-Maintainer: Christian Göttsche <cgzones@googlemail.com>
+Build-Depends: libpopt-dev, debhelper (>= 11),
+ libselinux1-dev [linux-any], libacl1-dev [linux-any]
+Vcs-Browser: https://salsa.debian.org/debian/logrotate
+Vcs-Git: https://salsa.debian.org/debian/logrotate.git
 Homepage: https://github.com/logrotate/logrotate
-Standards-Version: 3.9.6
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 
 Package: logrotate
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, cron | anacron | cron-daemon, base-passwd (>= 2.0.3.4)
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}, cron | anacron | cron-daemon | systemd-sysv
 Breaks: postgresql-common (<= 126)
 Suggests: bsd-mailx | mailx
 Description: Log rotation utility

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-state-file-path=/var/lib/logrotate/status \
		--with-default-mail-command=/usr/bin/mail

override_dh_auto_clean:
	dh_auto_clean
	cd test ; rm -f $$(ls | egrep '^test-config.[0-9]+$$')
	cd test ; rm -f test*.log* anothertest*.log* state test-config.
	cd test ; rm -f scriptout mail-out compress-args different*.log*

# ACL tests will fail if we're not building with ACL
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
  ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_auto_test
  endif
endif

override_dh_missing:
	dh_missing --fail-missing

=== debian/tests/control ===
Tests: version simple-run
Depends: @
Restrictions: needs-root

## logrotate 3.15.1

=== debian/changelog ===
logrotate (3.15.1-2) unstable; urgency=medium

  * d/control: drop postgresql-common break
  * d/copyright: update for 2019
  * d/salsa-ci.yml: add standard salsa-ci configuration
  * d/tests: add additional small test script
  * d/patches: add testsuite patches to pass reprotest on salsa-ci
  * d/patches: tighten systemd service hardening
  * d/control: bump to std version 4.4.1 (no further changes)
  * d/source/lintian-overrides: ignore package-does-not-install-examples

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 12 Nov 2019 15:24:39 +0100

logrotate (3.15.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Christian Göttsche ]
  * New upstream version 3.15.1

  * d/patches: rebase and drop upstream applied ones
  * d/patches: add spelling fix
  * d/control: bump to std version 4.4.0 (no further changes)
  * debian: Switch to debhelper compat level 12 (no further changes)

 -- Christian Göttsche <cgzones@googlemail.com>  Fri, 30 Aug 2019 20:37:13 +0200

=== debian/control ===
Source: logrotate
Section: admin
Priority: important
Maintainer: Christian Göttsche <cgzones@googlemail.com>
Build-Depends: libpopt-dev, debhelper-compat (= 12),
 libselinux1-dev [linux-any], libacl1-dev [linux-any]
Vcs-Browser: https://salsa.debian.org/debian/logrotate
Vcs-Git: https://salsa.debian.org/debian/logrotate.git
Homepage: https://github.com/logrotate/logrotate
Standards-Version: 4.4.1
Rules-Requires-Root: no

Package: logrotate
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, cron | anacron | cron-daemon | systemd-sysv
Recommends: bsd-mailx | mailx
Description: Log rotation utility
 The logrotate utility is designed to simplify the administration of
 log files on a system which generates a lot of log files.  Logrotate
 allows for the automatic rotation compression, removal and mailing of
 log files.  Logrotate can be set to handle a log file daily, weekly,
 monthly or when the log file gets to a certain size.  Normally, logrotate
 runs as a daily cron job.

## logrotate 3.17.0

=== debian/changelog ===
logrotate (3.17.0-1) unstable; urgency=medium

  * New upstream version 3.17.0 (Closes: #945097, #966016)

  * debian:
    - bump to debhelper compat level 13
    - wrap-and-sort
  * d/rules:
    - drop custom cleanup
  * d/patches:
    - rebase and drop applied ones
    - drop patch disabling test 70
    - move debian specific patch to subdir
    - cherry-pick upstream commits:
      + use getenv() on macOS and BSD
      + logrotate.service: harden with ProtectHostname
      + tests: always run logrotate in verbose mode
      + test-0070: set log modification time to current date
      + make `delaycompress` not to fail with `rotate 0`
  * d/logrotate.preinst: drop ancient maintainer script about old state file
    paths
  * d/control: add acl package to build-dependencies to run ACL unit tests
    on Linux
  * d/copyright: update years

 -- Christian Göttsche <cgzones@googlemail.com>  Thu, 17 Sep 2020 19:37:27 +0200

logrotate (3.16.0-3) unstable; urgency=medium

  * d/patches: cherry-pick upstream switch-user fixes
    - When using configuration directive su, accept staying as user root.
      In particular restore mailman's usage of 'su root list'.
    - Reset user/group when error returning early in rotateLogSet().

 -- Christian Göttsche <cgzones@googlemail.com>  Wed, 08 Apr 2020 20:04:29 +0200

logrotate (3.16.0-2) unstable; urgency=medium

  * d/patches:
    - add upstream commit to silence unused parameter warning in
      acl disabled build
      Should fix FTBFS on architectures without acl
    - add upstream commit to enable systemd hardening option ProtectClock

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 17 Mar 2020 12:14:13 +0100

logrotate (3.16.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Add missing colon in closes line.
  * Remove obsolete fields Name from debian/upstream/metadata.

  [ Christian Göttsche ]
  * New upstream version 3.16.0 (Closes: #915301)

  * d/patches: rebase and drop upstream applied ones
    - add new directive ProtectKernelLogs
    - drop NoNewPrivileges, which is actually not implied and
      might be needed for third party rotate scripts
  * d/copyright: add extra sections
    - add section for queue.h licensed under BSD-3-Clause
    - add section for build-aux/git-version-gen licensed under GPL-3+
  * d/control: bump to std version 4.5.0 (no further changes)
  * d/rules: fail on compiler warnings

 -- Christian Göttsche <cgzones@googlemail.com>  Sat, 29 Feb 2020 20:00:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,23 @@
 Section: admin
 Priority: important
 Maintainer: Christian Göttsche <cgzones@googlemail.com>
-Build-Depends: libpopt-dev, debhelper-compat (= 12),
- libselinux1-dev [linux-any], libacl1-dev [linux-any]
+Build-Depends: acl [linux-any] <!nocheck>,
+               debhelper-compat (= 13),
+               libacl1-dev [linux-any],
+               libpopt-dev,
+               libselinux1-dev [linux-any]
 Vcs-Browser: https://salsa.debian.org/debian/logrotate
 Vcs-Git: https://salsa.debian.org/debian/logrotate.git
 Homepage: https://github.com/logrotate/logrotate
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 
 Package: logrotate
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, cron | anacron | cron-daemon | systemd-sysv
+Depends: cron | anacron | cron-daemon | systemd-sysv,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: bsd-mailx | mailx
 Description: Log rotation utility
  The logrotate utility is designed to simplify the administration of

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-werror \
		--with-state-file-path=/var/lib/logrotate/status \
		--with-default-mail-command=/usr/bin/mail

# The testsuite is not yet portable.
# Not because of logrotate itself, but due to unportable usage
# of date(1), stat(1) etc.
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
  ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_auto_test
  endif
endif
